Page MenuHomePhabricator

Changing an image should always be shown as deletion + insertion in visual diff
Closed, ResolvedPublic

Description

https://en.wikipedia.org/w/index.php?title=Unicode&type=revision&diff=844337255&oldid=844253812&diffmode=visual exchanged the image.
The visual diff shows this as a change to resource and size. To better compare what really changed, I think for images it makes sense to show them as deletion of the old and insertion of the new image, instead of a change to internal parameters.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterVisualDiff: Don't compare images with different src's

Event Timeline

Schnark created this task.Jun 4 2018, 10:20 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 4 2018, 10:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 437292 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] VisualDiff: Don't compare images with different src's

https://gerrit.wikimedia.org/r/437292

Deskana assigned this task to Esanders.Jun 5 2018, 6:41 PM
Deskana triaged this task as Normal priority.
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 437292 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] VisualDiff: Don't compare images with different src's

https://gerrit.wikimedia.org/r/437292

Deskana closed this task as Resolved.Jun 18 2018, 3:39 PM
Vvjjkkii renamed this task from Changing an image should always be shown as deletion + insertion in visual diff to cpbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from cpbaaaaaaa to Changing an image should always be shown as deletion + insertion in visual diff.Jul 2 2018, 7:45 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Esanders.